[Japanese]

JVNDB-2009-000042

Movable Type cross-site scripting vulnerability

Overview

Movable Type contains a cross-site scripting vulnerability.

Movable Type, a web log system from Six Apart KK, contains a cross-site scripting vulnerability.
This vulnerability is a different vulnerability than past reports on JVN.

A successful attack requires mt-wizard.cgi not to be deleted after initial setup. For more information, refer to the developer's website.

Masashi Shiraishi reported this vulnerability to IPA.
JPCERT/CC coordinated with the developer under Information Security Early Warning Partnership.
CVSS Severity (What is CVSS?)

Base Metrics: 2.6 (Low) [IPA Score]
  • Access Vector: Network
  • Access Complexity: High
  • Authentication: None
  • Confidentiality Impact: None
  • Integrity Impact: Partial
  • Availability Impact: None

Affected Products


Six Apart, Ltd.
  • Movable Type 4.25 (includes Professional and Community Packs) and earlier
  • Movable Type 4.25 (Open Source) and earlier
  • Movable Type Commercial 4.25 (includes Professional Pack) and earlier
  • Movable Type Enterprise 4.25 and earlier

Impact

An arbitrary script may be executed on the user's web browser.
Solution

[Update the Software]
Update to the latest version according to the information provided by the developer.
Vendor Information

Six Apart, Ltd.
CWE (What is CWE?)

  1. Cross-site Scripting(CWE-79) [IPA Evaluation]
CVE (What is CVE?)

  1. CVE-2009-2492
References

  1. JVN : JVN#86472161
  2. National Vulnerability Database (NVD) : CVE-2009-2492
Revision History

[2009/07/01]
  Web page published